Bug 191448 - xchat segv's on startup
xchat segv's on startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xchat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-11 22:21 EDT by Dave Jones
Modified: 2015-01-04 17:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-30 18:46:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-05-11 22:21:05 EDT
with todays rawhide, xchat segfaults immediately on startup..


#0  0x00002aaaab1b6040 in strcmp () from /lib64/libc.so.6
#1  0x00000038f2547d59 in g_str_equal () from /usr/lib64/libglib-2.0.so.0
#2  0x00000038f252147a in g_hash_table_lookup ()
   from /usr/lib64/libglib-2.0.so.0
#3  0x00000038f251aaf2 in g_intern_static_string ()
   from /usr/lib64/libglib-2.0.so.0
#4  0x00002aaaab43f838 in gtk_combo_box_entry_get_type ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#5  0x00002aaaaff4d51e in clearlooks_style_register_type ()
   from /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
#6  0x00002aaaab4600d1 in gtk_entry_new () from /usr/lib64/libgtk-x11-2.0.so.0
#7  0x00002aaaab4db731 in gtk_marshal_BOOLEAN__VOID ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x00000038f2d0b25a in g_closure_invoke ()
   from /usr/lib64/libgobject-2.0.so.0
#9  0x00000038f2d1cb81 in g_signal_override_class_closure ()
   from /usr/lib64/libgobject-2.0.so.0
#10 0x00000038f2d1d797 in g_signal_emit_valist ()
   from /usr/lib64/libgobject-2.0.so.0
#11 0x00000038f2d1dbb3 in g_signal_emit () from /usr/lib64/libgobject-2.0.so.0
#12 0x00002aaaab5eddbe in gtk_widget_get_default_style ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x00002aaaab4d4df7 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x00002aaaab87861a in gdk_window_is_viewable ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#15 0x00002aaaab87886b in gdk_window_process_all_updates ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#16 0x00002aaaab441bf2 in gtk_container_check_resize ()
   from /usr/lib64/libgtk-x11-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#17 0x00000038f252d19a in g_main_context_dispatch ()
   from /usr/lib64/libglib-2.0.so.0
#18 0x00000038f2530315 in g_main_context_check ()
   from /usr/lib64/libglib-2.0.so.0
#19 0x00000038f253063d in g_main_loop_run () from /usr/lib64/libglib-2.0.so.0
#20 0x00002aaaab4d4fd3 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#21 0x0000000000418319 in ?? ()
#22 0x0000000000452f3b in xchat_plugingui_remove ()
#23 0x00002aaaab15ef34 in __libc_start_main () from /lib64/libc.so.6
#24 0x000000000040fe39 in ?? ()
#25 0x00007fff00c28178 in ?? ()
#26 0x0000000000000000 in ?? ()

Note You need to log in before you can comment on or make changes to this bug.